dladiv.f(3)

NAME
dladiv.f -

SYNOPSIS

  Functions/Subroutines

subroutine dladiv (A, B, C, D, P, Q)
DLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.
subroutine dladiv1 (A, B, C, D, P, Q)
double precision function dladiv2 (A, B, C, D, R, T)

Function/Subroutine Documentation

  subroutine dladiv (double precisionA, double precisionB, double precisionC, double precisionD, double precisionP, double precisionQ)

DLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Purpose:

     DLADIV performs complex division in  real arithmetic

                           a + i*b
                p + i*q = ---------
                           c + i*d

     The algorithm is due to Michael Baudin and Robert L. Smith
     and can be found in the paper
     "A Robust Complex Division in Scilab"

Parameters:
    A

              A is DOUBLE PRECISION

    B

              B is DOUBLE PRECISION

    C

              C is DOUBLE PRECISION

    D

              D is DOUBLE PRECISION
              The scalars a, b, c, and d in the above expression.

    P

              P is DOUBLE PRECISION

    Q

              Q is DOUBLE PRECISION
              The scalars p and q in the above expression.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    January 2013

Definition at line 92 of file dladiv.f.

  subroutine dladiv1 (double precisionA, double precisionB, double precisionC, double precisionD, double precisionP, double precisionQ)

Definition at line 178 of file dladiv.f.

  double precision function dladiv2 (double precisionA, double precisionB, double precisionC, double precisionD, double precisionR, double precisionT)

Definition at line 216 of file dladiv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.